# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.8.4.0.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit haskell-cabal

DESCRIPTION="JSON pretty-printing library and command-line tool"
HOMEPAGE="https://github.com/informatikr/aeson-pretty"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
IUSE="+executable"

RDEPEND=">=dev-haskell/base-compat-0.9:=[profile?]
	>=dev-haskell/scientific-0.3:=[profile?]
	>=dev-haskell/text-0.11:=[profile?]
	>=dev-haskell/unordered-containers-0.2.14.0:=[profile?]
	>=dev-haskell/vector-0.9:=[profile?]
	>=dev-lang/ghc-8.8.1:=
	>=dev-haskell/aeson-1.1:=[profile?] <dev-haskell/aeson-2.3:=[profile?]
	executable? ( >=dev-haskell/aeson-0.6:=[profile?]
			>=dev-haskell/attoparsec-0.10:=[profile?]
			dev-haskell/attoparsec-aeson:=[profile?]
			>=dev-haskell/cmdargs-0.7:=[profile?] )
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-3.0.0.0
"

src_configure() {
	if use executable; then
		local lib_flag=-lib-only
	else
		local lib_flag=lib-only
	fi

	haskell-cabal_src_configure \
		--flag="${lib_flag}"
}
