# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.7.2.2.9999

CABAL_PN="JuicyPixels"

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit haskell-cabal

DESCRIPTION="Picture loading/serialization (in png, jpeg, bitmap, gif, tga, tiff and others)"
HOMEPAGE="https://github.com/Twinside/Juicy.Pixels"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
IUSE="mmap"

RDEPEND=">=dev-haskell/primitive-0.4:=[profile?]
	<dev-haskell/vector-0.13:=[profile?]
	>=dev-haskell/zlib-0.5.3.1:=[profile?] <dev-haskell/zlib-0.7:=[profile?]
	>=dev-lang/ghc-8.4.3:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2.0.1
"

CABAL_CHDEPS=(
	'mtl                 >= 1.1     && < 2.3' 'mtl                 >= 1.1'
)

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag mmap mmap)
}
