# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.7.2.1.9999
#hackport: flags: -newgeneric,-chaselev

CABAL_HACKAGE_REVISION=2

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="A library for parallel programming based on a monad"
HOMEPAGE="https://github.com/simonmar/monad-par"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="amd64 ~arm64 ~ppc64 ~riscv ~x86"
IUSE="chaselev"

RDEPEND=">=dev-haskell/abstract-deque-0.1.4:=[profile?]
	dev-haskell/abstract-par:=[profile?]
	>=dev-haskell/monad-par-extras-0.3:=[profile?]
	>=dev-haskell/mwc-random-0.11:=[profile?]
	>=dev-haskell/parallel-3.1:=[profile?]
	>=dev-lang/ghc-8.4.3:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2.0.1
	test? ( dev-haskell/hunit
		dev-haskell/quickcheck
		dev-haskell/test-framework
		dev-haskell/test-framework-hunit
		>=dev-haskell/test-framework-quickcheck2-0.3
		dev-haskell/test-framework-th )
"

src_configure() {
	haskell-cabal_src_configure \
		--flag=-chaselev \
		--flag=-newgeneric
}
