# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.7.1.1.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour" # test-suite circular depend
inherit haskell-cabal

DESCRIPTION="Pseudo-random number generation"
HOMEPAGE="https://hackage.haskell.org/package/random"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos"

# circular depend: random[test]->mwc-random->math-functions[test]->vector-th-unbox->vector->random
RESTRICT=test

RDEPEND=">=dev-haskell/splitmix-0.1:=[profile?] <dev-haskell/splitmix-0.2:=[profile?]
	>=dev-lang/ghc-8.4.3:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2.0.1"
# 	test? ( >=dev-haskell/doctest-0.15 <dev-haskell/doctest-0.21
# 		>=dev-haskell/mwc-random-0.13 <dev-haskell/mwc-random-0.16
# 		>=dev-haskell/primitive-0.6 <dev-haskell/primitive-0.8
# 		>=dev-haskell/smallcheck-1.2 <dev-haskell/smallcheck-1.3
# 		dev-haskell/stm
# 		>=dev-haskell/tasty-1.0 <dev-haskell/tasty-1.5
# 		>=dev-haskell/tasty-hunit-0.10 <dev-haskell/tasty-hunit-0.11
# 		dev-haskell/tasty-inspection-testing
# 		>=dev-haskell/tasty-smallcheck-0.8 <dev-haskell/tasty-smallcheck-0.9
# 		>=dev-haskell/unliftio-0.2 <dev-haskell/unliftio-0.3
# 		>=dev-haskell/vector-0.10 <dev-haskell/vector-0.14 )
# "
