# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit xdg-utils

DESCRIPTION="A calculator plugin for the Xfce4 panel"
SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
HOMEPAGE="
	https://docs.xfce.org/panel-plugins/xfce4-calculator-plugin/start
	https://gitlab.xfce.org/panel-plugins/xfce4-calculator-plugin/
"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~riscv ~x86"

DEPEND="
	>=dev-libs/glib-2.50.0
	x11-libs/libX11
	>=x11-libs/gtk+-3.22.0:3
	>=xfce-base/libxfce4ui-4.12.0:=
	>=xfce-base/libxfce4util-4.12.0:=
	>=xfce-base/xfce4-panel-4.12.0:=
"
RDEPEND="
	${DEPEND}
"
BDEPEND="
	dev-util/intltool
	sys-devel/gettext
	virtual/pkgconfig
"

src_install() {
	default
	find "${D}" -name '*.la' -delete || die
}

pkg_postinst() {
	xdg_icon_cache_update
}

pkg_postrm() {
	xdg_icon_cache_update
}
